      PROGRAM LSAVG 
      DIMENSION SH(2044),SZ(2044),SHZ(2044)
      DIMENSION SAZ(34),YDB(34),SAZM(34),SAZT(34) 
C
C  OPEN FILES
C
      OPEN(5,FILE='pstresses.out',STATUS='OLD',ERR=888)
      OPEN(6,FILE='pstressavg.out',STATUS='UNKNOWN',ERR=888)
C
C  DEFINE PARAMETERS
C
      NE=2044
C
C  READ IN ELEMENTAL STRESSES 
C
      DO 100 K=1,NE 
  100 READ(5,10)SH(K),SZ(K),SHZ(K)
   10 FORMAT(3E11.4)
C
C  EDGE STRESSES AVERAGED FIRST
C
C    THRU THE FIRST REGION
C
      I1=337
      DO 200 I=1,47 
      J=I1+2*(I-1)
      ESAVGZ=(SZ(J)+SZ(J+1)+SZ(J+2)+SZ(J+3))/4.
      ESAVGHZ=(SHZ(J)+SHZ(J+1)+SHZ(J+2)+SHZ(J+3))/4.
      ZDH=0.125*I/12.0
  200 WRITE(6,20)I,ESAVGZ,ZDH,ESAVGHZ
   20 FORMAT(1X,' I=',I2,' SIGZ=',E10.3,' Z/H=',F6.4,' SIGHZ=',E10.3) 
C
C    AT THE INTERFACE
C
      I=48
      I1=431
      I2=661
      ESAVGZ=(SZ(I1)+SZ(I1+1)+SZ(I2)+SZ(I2+1))/4. 
      ESAVGHZ=(SHZ(I1)+SHZ(I1+1)+SHZ(I2)+SHZ(I2+1))/4.
      ZDH=6.0/12.0
      WRITE(6,20)I,ESAVGZ,ZDH,ESAVGHZ
C
C   THRU THE SECOND REGION
C
      I1=661
      DO 300 I=49,95
      J=I1+2*(I-49) 
      ESAVGZ=(SZ(J)+SZ(J+1)+SZ(J+2)+SZ(J+3))/4.
      ESAVGHZ=(SHZ(J)+SHZ(J+1)+SHZ(J+2)+SHZ(J+3))/4.
      ZDH=0.125*I/12.0
  300 WRITE(6,20)I,ESAVGZ,ZDH,ESAVGHZ
C
C  ALONG THE INTERFACE (SAZ) AND ALONG THE MIDPLANE (SAZM)
C
C    THE FIRST REGION WITH NO STRESS TRANSFORMATION
C
      SAZ(1)=(SZ(431)+SZ(432)+SZ(661)+SZ(662))/4. 
      SAZ(2)=(SZ(336)+SZ(432)+SZ(661)+SZ(589))/4. 
      SAZ(3)=(SZ(263)+SZ(493))/2.
      SAZ(4)=(SZ(166)+SZ(433))/2.
      SAZ(5)=(SZ(53)+SZ(59))/2.
      SAZ(6)=(SZ(49)+SZ(55))/2.
C
C    ALONG THE MIDPLANE
C
      SAZM(1)=(SZ(756)+SZ(755))/2.
      SAZM(2)=(SZ(660)+SZ(756))/2.
      SAZM(3)=SZ(587)
      SAZM(4)=SZ(490)
      SAZM(5)=SZ(107)
      SAZM(6)=SZ(103)
C
      SAZT(1)=(SZ(337)+SZ(338))/2.
      SAZT(2)=(SZ(265)+SZ(337))/2.
      SAZT(3)=SZ(169)
      SAZT(4)=SZ(109)
      SAZT(5)=SZ(5) 
      SAZT(6)=SZ(1) 
C
C   COORDINATE WIDTH RATIO
C
      YDB(1)=0.9961 
      YDB(2)=0.9922 
      YDB(3)=15.675/16.0
      YDB(4)=15.25/16.0
      YDB(5)=14.75/16.0
      YDB(6)=14.25/16.0
      I1=1399
      I2=1509
      Y=13.75
      DO 350 I=1,28 
      YDB(I+6)=Y/16.0
      Y=Y-0.5
      J=I1-4*(I-1)
      K=I2-4*(I-1)
  350 SAZ(I+6)=(SZ(J)+SZ(K))/2.
      I1=2043
      DO 360 I=1,28 
      J=I1-4*(I-1)
  360 SAZM(I+6)=SZ(J)
      I1=865
      DO 370 I=1,28 
      J=I1-4*(I-1)
  370 SAZT(I+6)=SZ(J)
      DO 400 J=1,34 
  400 WRITE(6,40)J,YDB(J),SAZ(J),SAZM(J),SAZT(J)
   40 FORMAT(1X,' J=',I2,' Y/B=',F6.4,' SIGZ=',E10.3,' SIGZM=',E10.3
     *,' SAZT=',E10.3)
C
  888 STOP
      END 
